Subject: bug#25638: closed (Re: bug#25638[Hunting]: linux libre 4.4.18 tarball has disappeared)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Sep 2020 07:33:02 +0000

Your bug report

#25638: linux libre tarball has disappeared

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25638: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25638
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25638[Hunting]: linux libre 4.4.18 tarball has disappeared
From: zimoun <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Wed, 16 Sep 2020 09:32:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 15 Sep 2020 at 20:45, Ludovic Courtès <[email-masked]> wrote:

> It’s available from
> <https://ci.guix.gnu.org/file/linux-libre-4.4.18-gnu.tar.xz/sha256/0k8k17in7dkjd9d8zg3i8l1ax466dba6bxw28flxizzyq8znljps>
> now (found a copy at hydra.gnunet.org!).  (This URL is served by ‘guix
> publish’.)  There’s no GC root though.

Thank you for explaining.
I did not know about hydra.gnunet.org, cool! :-)

> > Is such version reachable with "guix time-machine"?  I guess no, so does
> > it make sense to keep the tarball?
>
> Good question, maybe not.

Well, Guix could keep all the tarballs until the Tarball Heritage is up. :-)

> > Such issue is discussed in #42162, especially the thread starting here:
> >
> >    <http://issues.guix.gnu.org/issue/42162#4>

[...]

> > Therefore, if the linux-libre 4.4.18 tarballs is substituable on
> > <ci.guix.gnu.org>, I suggest to close this bug.  WDYT?
>
> Yeah, we can probably close it.  The more general issue of tarballs in
> general, and linux-libre tarballs in particular, can be dealt with in
> the issue above.

I am closing.  Feel free to reopen if I am making a mistake.

All the best,
simon

Subject: linux libre tarball has disappeared
From: Ricardo Wurmus <[email-masked]>
To: "'bug-guix\@gnu.org'" <[email-masked]>
Date: Mon, 06 Feb 2017 22:50:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Rohit Yadav reported in
<CAGKZdmYcHm0n7QeoyVTeXi59QeiXWgV-=OVRaz1ng-X+=[email-masked]>
that the linux libre tarballs for version 4.4.18 are no longer
available on any of the usual locations.  The next version that has a
full tarball and not just a compressed diff is version “4.4.24-gnu”.

The lack of this tarball doesn’t hurt most users because a substitute
for the tarball is available on hydra, but this doesn’t help when
building everything without substitutes.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net